Introduction

estos ECSTA for Avaya CS1000 offers multiple Telephony Service Providers for Microsoft® Tapi 2.1 (also 2.2 and 3.0). These Tapi drivers implement a central communication between a Server and the Telephony system (PBX). On this server all devices from the PBX are shown as TAPI lines.
All estos ECSTA for Avaya CS1000 drivers use the powerful CSTA Interface to communicate with the PBX.

estos ECSTA for Avaya CS1000

Supported PBX systems
All systems of the Avaya Communications Server 1000 / Meridian / Succession family.

PBX Driver
CS 1000 ECSTA for Avaya
CS 2000 ECSTA for Avaya
CS 2100 ECSTA for Avaya

Installation
The driver is installed using a Microsoft® Installer setup.

  1. Setup for Communications Server

Multiple PBX systems
If you want to connect multiple CS1000 nodes or different service domains, you can install the driver several times.
This is done using the 'Advanced Phone and Modem Options. This program was installed with the driver and is located in the Control Panel.

Supported Operating systems
These are described in Software requirements.

Using in the network
After installing the driver, you may use all configured line devices on the server as TAPI-lines. If you are using a server based CTI Software, you may install it now. To have the TAPI-devices available on all workstations, the TAPI-driver must be distributed in the network. There are the following options:

  1. estos UCServer
    The estos UCServer is a CTI/UCC server software which distributes the telephony informations across the network using a graphical client or a multiline TAPI driver. Workgroups, domains, Active Directory® and Terminal Server are supported.
  2. estos CallControlGateway
    The estos CallControlGateway for Lync/OCS is a gateway that connects the TAPI-lines with the Lync/OCS server. This enables the Lync/OCS client to use traditional telephone devices via Remote Call Control (RCC).
  3. Windows® Telephony Server
    The Windows® Telephony Server is a component of Windows® server operating systems since Windows® NT. You will need a domain. The service is limited to domain users.

Version 5.0